%define _approot /opt/scalapack
%define _pkgname scalapack
%define _modroot /usr/share/Modules/modulefiles/scalapack

Name:           scalapack-mpich1-gnu
Version:        1.8.0
Release:        5
Summary:        The ScaLAPACK (or Scalable LAPACK) library includes a subset of LAPACK routines redesigned for distributed memory MIMD parallel computers.

Group:          Development/Libraries
# This is freely distributable without any restrictions.
License:        Public Domain
URL:            http://www.netlib.org/scalapack/
Source0:        scalapack-%{version}.tgz
Source1:        SLmake-mpich1-gnu.inc.32
Source2:        SLmake-mpich1-gnu.inc.64
Source3:        scalapack-mpich1-gnu-module
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       mpich1-ethernet-gnu coreutils
BuildRequires:  mpich1-ethernet-gnu atlas-devel coreutils blacs-mpich1-gnu gcc-gfortran

%description
The ScaLAPACK (or Scalable LAPACK) library includes a subset of
LAPACK routines redesigned for distributed memory MIMD parallel
computers. It is currently written in a Single-Program-Multiple-Data
style using explicit message passing for interprocessor communication.
It assumes matrices are laid out in a two-dimensional block cyclic
decomposition.

Like LAPACK, the ScaLAPACK routines are based on block-partitioned
algorithms in order to minimize the frequency of data movement
between different levels of the memory hierarchy. (For such machines,
the memory hierarchy includes the off-processor memory of other
processors, in addition to the hierarchy of registers, cache, and
local memory on each processor.) The fundamental building blocks
of the ScaLAPACK library are distributed memory versions (PBLAS)
of the Level 1, 2 and 3 BLAS, and a set of Basic Linear Algebra
Communication Subprograms (BLACS) for communication tasks that arise
frequently in parallel linear algebra computations. In the ScaLAPACK
routines, all interprocessor communication occurs within the PBLAS
and the BLACS. One of the design goals of ScaLAPACK was to have the
ScaLAPACK routines resemble their LAPACK equivalents as much as
possible.


%prep
%setup -q -n %{_pkgname}-%{version}

%build
%ifarch %ix86
	cp %{SOURCE1} SLmake.inc
%else
	cp %{SOURCE2} SLmake.inc
%endif

#cp %{SOURCE2} REDIST/TESTING/.
export home=%{_builddir}/%{_pkgname}-%{version}
make lib
make exe

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_approot}/mpich1/gnu/lib
mkdir -p %{buildroot}%{_approot}/mpich1/gnu/bin
mkdir -p %{buildroot}%{_approot}/mpich1/gnu/data

install -D -m 0644 %{SOURCE3} %{buildroot}%{_modroot}/%{name}

cp -f libscalapack.* %{buildroot}%{_approot}/mpich1/gnu/lib
cp -fr TESTING/* %{buildroot}%{_approot}/mpich1/gnu/bin
cp -rf TESTING/[^x]* %{buildroot}%{_approot}/mpich1/gnu/data


%clean
rm -rf %{buildroot}

%post

%pre

%files
%defattr(-,root,root,-)
%{_approot}
%{_modroot}/%{name}

%changelog
* Wed Jul 2 2008 Mike Frisch <mfrisch@platform.com> 1.8.0-5
- Fixed build (removed reference to libg2c)

* Wed Jul 2 2008 Mike Frisch <mfrisch@platform.com> 1.8.0-4
- Modified to use Fortran 90

* Tue Apr 1 2008 Mike Frisch <mfrisch@platform.com> 1.8.0-3
- Fixed Requires/BuildRequires and files section

* Tue Sep 25 2007 Najib Ninaba <najib@osgdc.org>
- Initial packaging
